MeasurementCommandsClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.client.MeasurementCommandsClient interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.client
Interface MeasurementCommandsClient

All Known Implementing Classes:
  LegacyMeasurementCommandsClientImpl, MeasurementCommandsClientImpl, MeasurementCommandsService

    public interface MeasurementCommandsClient

Method Summary
`void` | `addTrackPlugin(java.lang.String id, java.lang.String pluginType, java.lang.String resourceName, ConfigResponse response)`
`void` | `closeConnection()`
`void` | `deleteProperties(DeleteProperties_args args)`
`GetMeasurements_result` | `getMeasurements(GetMeasurements_args args)` Get real time measurements from the Agent.
`void` | `removeTrackPlugin(java.lang.String id, java.lang.String pluginType)`
`void` | `scheduleMeasurements(ScheduleMeasurements_args args)` Schedule a group of measurements on the agent.
`void` | `setProperties(SetProperties_args args)`
`void` | `unscheduleMeasurements(UnscheduleMeasurements_args args)` Unschedule a group of previously scheduled measurements.

Method Detail

### closeConnection

    void closeConnection()
                         throws AgentRemoteException

  Throws:
    `AgentRemoteException`

### scheduleMeasurements

    void scheduleMeasurements(ScheduleMeasurements_args args)
                              throws AgentRemoteException,
                                     AgentConnectionException

  Schedule a group of measurements on the agent. This routine cannot fail for the inability to schedule any individual measurements. The only errors which can occur are protocol or connection errors.

  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating a protocol error
    `AgentConnectionException` - indicating an error in communication with the agent.

### unscheduleMeasurements

    void unscheduleMeasurements(UnscheduleMeasurements_args args)
                                throws AgentRemoteException,
                                       AgentConnectionException

  Unschedule a group of previously scheduled measurements. An attempt will be made to unschedule all measurements passed, however, if one client ID is unable to be unscheduled, an exception will be thrown at the end of the operation. Therefore, it is safe to assume that all clientIDs passed will be unscheduled, regardless of the exception.

  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating an error unscheduling or protocol problem.
    `AgentConnectionException` - indicating an error in communication with the agent.

### getMeasurements

    GetMeasurements_result getMeasurements(GetMeasurements_args args)
                                           throws AgentRemoteException,
                                                  AgentConnectionException

  Get real time measurements from the Agent.

  Parameters:
    `args` - The collection of arguments to send to the remote Agent.
  Throws:
    `AgentRemoteException` - indicating a protocol error
    `AgentConnectionException` - indicating an error in communication with the agent.

### setProperties

    void setProperties(SetProperties_args args)
                       throws AgentRemoteException,
                              AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### deleteProperties

    void deleteProperties(DeleteProperties_args args)
                          throws AgentRemoteException,
                                 AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### addTrackPlugin

    void addTrackPlugin(java.lang.String id,
                        java.lang.String pluginType,
                        java.lang.String resourceName,
                        ConfigResponse response)
                        throws AgentRemoteException,
                               AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### removeTrackPlugin

    void removeTrackPlugin(java.lang.String id,
                           java.lang.String pluginType)
                           throws AgentRemoteException,
                                  AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.